## WebKitDOMHTMLStyleElement WebKitDOMHTMLStyleElement |

## Functions

gboolean | webkit_dom_html_style_element_get_disabled ()
void | webkit_dom_html_style_element_set_disabled ()
gchar * | webkit_dom_html_style_element_get_media ()
void | webkit_dom_html_style_element_set_media ()
gchar * | webkit_dom_html_style_element_get_type_attr ()
void | webkit_dom_html_style_element_set_type_attr ()
WebKitDOMStyleSheet * | webkit_dom_html_style_element_get_sheet ()

## Properties

gboolean | disabled | Read / Write
char * | media | Read / Write
WebKitDOMStyleSheet * | sheet | Read
char * | type | Read / Write

## Types and Values

struct | WebKitDOMHTMLStyleElement

## Object Hierarchy

        GObject
        ╰── WebKitDOMObject
            ╰── WebKitDOMNode
                ╰── WebKitDOMElement
                    ╰── WebKitDOMHTMLElement
                        ╰── WebKitDOMHTMLStyleElement

## Implemented Interfaces

WebKitDOMHTMLStyleElement implements WebKitDOMEventTarget.

## Description

## Functions

### webkit_dom_html_style_element_get_disabled ()

    gboolean
    webkit_dom_html_style_element_get_disabled
                                   (WebKitDOMHTMLStyleElement *self);

`webkit_dom_html_style_element_get_disabled` has been deprecated since version 2.22 and should not be used in newly-written code.

Use JavaScriptCore API instead

#### Parameters

self | A WebKitDOMHTMLStyleElement |

#### Returns

A gboolean

### webkit_dom_html_style_element_set_disabled ()

    void
    webkit_dom_html_style_element_set_disabled
                                   (WebKitDOMHTMLStyleElement *self,
                                    gboolean value);

`webkit_dom_html_style_element_set_disabled` has been deprecated since version 2.22 and should not be used in newly-written code.

Use JavaScriptCore API instead

#### Parameters

self | A WebKitDOMHTMLStyleElement |
value | A gboolean |

### webkit_dom_html_style_element_get_media ()

    gchar *
    webkit_dom_html_style_element_get_media
                                   (WebKitDOMHTMLStyleElement *self);

`webkit_dom_html_style_element_get_media` has been deprecated since version 2.22 and should not be used in newly-written code.

Use JavaScriptCore API instead

#### Parameters

self | A WebKitDOMHTMLStyleElement |

#### Returns

A gchar

### webkit_dom_html_style_element_set_media ()

    void
    webkit_dom_html_style_element_set_media
                                   (WebKitDOMHTMLStyleElement *self,
                                    const gchar *value);

`webkit_dom_html_style_element_set_media` has been deprecated since version 2.22 and should not be used in newly-written code.

Use JavaScriptCore API instead

#### Parameters

self | A WebKitDOMHTMLStyleElement |
value | A gchar |

### webkit_dom_html_style_element_get_type_attr ()

    gchar *
    webkit_dom_html_style_element_get_type_attr
                                   (WebKitDOMHTMLStyleElement *self);

`webkit_dom_html_style_element_get_type_attr` has been deprecated since version 2.22 and should not be used in newly-written code.

Use JavaScriptCore API instead

#### Parameters

self | A WebKitDOMHTMLStyleElement |

#### Returns

A gchar

### webkit_dom_html_style_element_set_type_attr ()

    void
    webkit_dom_html_style_element_set_type_attr
                                   (WebKitDOMHTMLStyleElement *self,
                                    const gchar *value);

`webkit_dom_html_style_element_set_type_attr` has been deprecated since version 2.22 and should not be used in newly-written code.

Use JavaScriptCore API instead

#### Parameters

self | A WebKitDOMHTMLStyleElement |
value | A gchar |

### webkit_dom_html_style_element_get_sheet ()

    WebKitDOMStyleSheet *
    webkit_dom_html_style_element_get_sheet
                                   (WebKitDOMHTMLStyleElement *self);

`webkit_dom_html_style_element_get_sheet` has been deprecated since version 2.22 and should not be used in newly-written code.

Use JavaScriptCore API instead

#### Parameters

self | A WebKitDOMHTMLStyleElement |

#### Returns

A WebKitDOMStyleSheet.

[transfer full]

## Types and Values

### struct WebKitDOMHTMLStyleElement

    struct WebKitDOMHTMLStyleElement;

## Property Details

### The `“disabled”` property

      “disabled”                 gboolean

read-write gboolean HTMLStyleElement:disabled.

Owner: WebKitDOMHTMLStyleElement

Flags: Read / Write

Default value: FALSE

### The `“media”` property

      “media”                    char *

read-write gchar* HTMLStyleElement:media.

Owner: WebKitDOMHTMLStyleElement

Flags: Read / Write

Default value: ""

### The `“sheet”` property

      “sheet”                    WebKitDOMStyleSheet *

read-only WebKitDOMStyleSheet* HTMLStyleElement:sheet.

Owner: WebKitDOMHTMLStyleElement

Flags: Read

### The `“type”` property

      “type”                     char *

read-write gchar* HTMLStyleElement:type.

Owner: WebKitDOMHTMLStyleElement

Flags: Read / Write

Default value: ""